<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
  <!-- <a class="navbar-brand" href="#">AA</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button> -->

  <div class="collapse navbar-collapse" id="navbarsExampleDefault">
    <ul class="navbar-nav">
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="/" >Projects</a>
      </li>
    </ul>

  </div>

  <button class='btn btn-link' *ngIf="( authorized$ | async ) ; else loginx" (click)="logout()">Logout</button>
  <ng-template #loginx >
    <button class='btn btn-link' routerLink="login">Login</button>
    <button class='btn btn-link' routerLink="register">Register</button>
  </ng-template>

</nav>
